package _03_多维数组;

public class Test1 {
    public static void main(String[] args) {
        /**
         *  int[][] arr = {
         *                 {70,80,88,66},
         *                 {89,60,77,64},
         *                 {77,33,60,22}
         *         };
         *
         *  拿到一维数组中所有的元素
         *  打印时候
         *
         *  70  80  88  66
         *  89  60  77  64
         *  77  33  60  22
         *  思路  :  先遍历二维数组 拿到所有的一维数组  , 然后在遍历一维数组拿到所有元素
         */
        int[][] arr = {
                {70,80,88,66},
                {89,60,77,64},
                {77,33,60,22}
        };
        // 先遍历二维数组  拿到所有一维数组
        for (int i = 0; i < arr.length; i++) {
            int[] eleArr = arr[i];
            // 遍历一维数组
            for (int j = 0; j < eleArr.length; j++) {
                System.out.print(eleArr[j] +" ");
            }
            // 每遍历一次需要换行
            System.out.println();
        }
    }
}
